File::ExtAttr::Tie(3pm)

NAME
File::ExtAttr::Tie - Tie interface to extended attributes of files

SYNOPSIS
  use File::ExtAttr::Tie;
  use Data::Dumper;

  tie %a,
    "File::ExtAttr::Tie", "/Applications (Mac  OS 9)/Sherlock 2",
    { namespace => 'user' };
  print Dumper \%a;

produces:

  $VAR1 = {
           'com.apple.FinderInfo' => 'APPLfndf!?',
           'com.apple.ResourceFork' => '?p?p5I'
          };

DESCRIPTION
File::ExtAttr::Tie provides access to extended attributes of a file through a tied hash. Creating a new key creates a new extended attribute associated with the file. Modifying the value or removing a key likewise modifies/removes the extended attribute.

Internally this module uses the File::ExtAttr module. So it has the same restrictions as that module in terms of OS support.

METHODS

tie "File::ExtAttr::Tie", $filename, [\%flags]
    The flags are the same optional flags as in File::ExtAttr. Any flags given here will be passed to all operations on the tied hash. Only the "namespace" flag makes sense. The hash will be tied to the default namespace, if no flags are given.

SEE ALSO
File::ExtAttr

AUTHOR
David Leadbeater, <http://dgl.cx/contact>

Documentation by Richard Dawe, <richdawe@cpan.org>

COPYRIGHT AND LICENSE
Copyright (C) 2006 by David Leadbeater

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.5 or, at your option, any later version of Perl 5 you may have available.

1; __END__